Bug 195689 - Syslog reports the ppp_generic module version as different from the RPM.
Syslog reports the ppp_generic module version as different from the RPM.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-06-16 12:27 EDT by John Horne
Modified: 2015-01-04 17:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-18 17:08:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Horne 2006-06-16 12:27:40 EDT
Description of problem:
Syslog reports the ppp_generic module version as different from the RPM.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Modify /etc/syslog.conf to log 'kern.info' messages in to a log file.
2. Run 'modprobe ppp_generic'.
3. Look in syslog log file.
Actual results:
Syslog log file shows:

   Jun 16 17:30:19 betty kernel: PPP generic driver version 2.4.2

Expected results:
RPM version is 2.4.3, not 2.4.2.

Additional info:
Comment 1 Thomas Woerner 2006-06-19 11:37:55 EDT
Assigning to kernel.
Comment 2 Dave Jones 2006-10-16 14:10:04 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 3 John Horne 2006-10-18 06:32:53 EDT
Nope, still has the wrong version number.

   uname -a
   Linux betty 2.6.18-1.2200.fc5 #1 Sat Oct 14 16:59:26 EDT 2006 i686 i686 i386 

   tail -1 /var/log/kernel      (where we put our kernel msgs)
   Oct 18 11:30:26 betty kernel: PPP generic driver version 2.4.2

   rpm -q ppp

Comment 4 Dave Jones 2006-10-18 17:08:37 EDT
The versions of the userspace package and the kernel driver version don't have
to be the same, there's no bug here.

The kernel driver version is still 2.4.2 even in Linus' 2.6.19rc tree.

Note You need to log in before you can comment on or make changes to this bug.